java.rmi.server

## Class SkeletonNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.server.SkeletonNotFoundException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.

      @Deprecated
      public class SkeletonNotFoundException
      extends RemoteException

  A `SkeletonNotFoundException` is thrown if the `Skeleton` corresponding to the remote object being exported is not found. Skeletons are no longer required, so this exception is never thrown.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkeletonNotFoundException(String s)` Deprecated. Constructs a `SkeletonNotFoundException` with the specified detail message.
    `SkeletonNotFoundException(String s, Exception ex)` Deprecated. Constructs a `SkeletonNotFoundException` with the specified detail message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SkeletonNotFoundException

          public SkeletonNotFoundException(String s)

      Deprecated.
      Constructs a `SkeletonNotFoundException` with the specified detail message.
      Parameters:
        `s` - the detail message.
      Since:
        JDK1.1

    - #### SkeletonNotFoundException

          public SkeletonNotFoundException(String s,
                                   Exception ex)

      Deprecated.
      Constructs a `SkeletonNotFoundException` with the specified detail message and nested exception.
      Parameters:
        `s` - the detail message.
        `ex` - the nested exception
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.